qt-extended 中如何支持gstreamer 播放引擎(ubuntu)

 

刚刚想了解下,在板子上的qt文件系统里头,怎么装一个自己的软件,然后移植。

从来没做过这个过程。搜索到这个文章,感觉挺有用的。以gstreamer 为例子。

 

1.ubuntu系统 安装gstreamer 依赖的库文件。

2 qt-extended的配置: 让gstreamer 被配置到。

                ../qt-extended-4.4.2/configure -mediaengines gstreamer

3.编译qt-extended

 

4.运行 qt-extended

 

qt-extended的Documents目录

 

我还尝试了下,安装automake,据说这个可以自动生成makefile文件。

 

root@ubuntu:/home/zhangbin# apt-get install automake

Reading package lists... Done

Building dependency tree       

Reading state information... Done

The following extra packages will be installed:

  autoconf autotools-dev m4

Suggested packages:

  autoconf2.13 autoconf-archive gnu-standards autoconf-doc libtool

The following NEW packages will be installed:

  autoconf automake autotools-dev m4

0 upgraded, 4 newly installed, 0 to remove and 115 not upgraded.

Need to get 1,685kB of archives.

After this operation, 4,915kB of additional disk space will be used.

Do you want to continue [Y/n]? y

Get:1 http://Ubuntu.srt.cn/ubuntu/ lucid/main m4 1.4.13-3 [241kB]

Err http://Ubuntu.srt.cn/ubuntu/ lucid/main m4 1.4.13-3                        

  Could not connect to Ubuntu.srt.cn:80 (211.155.227.167). - connect (111: Connection refused)

Get:2 http://Ubuntu.cn99.com/ubuntu/ lucid/main m4 1.4.13-3 [241kB]

Get:3 http://Ubuntu.cn99.com/ubuntu/ lucid/main autoconf 2.65-3ubuntu1 [772kB]

Get:4 http://Ubuntu.cn99.com/ubuntu/ lucid/main autotools-dev 20090611.1 [64.1kB]

Get:5 http://Ubuntu.cn99.com/ubuntu/ lucid/main automake 1:1.11.1-1 [608kB]

Fetched 1,460kB in 4min 39s (5,217B/s)

Selecting previously deselected package m4.

(Reading database ... 143039 files and directories currently installed.)

Unpacking m4 (from .../archives/m4_1.4.13-3_i386.deb) ...

Selecting previously deselected package autoconf.

Unpacking autoconf (from .../autoconf_2.65-3ubuntu1_all.deb) ...

Selecting previously deselected package autotools-dev.

Unpacking autotools-dev (from .../autotools-dev_20090611.1_all.deb) ...

Selecting previously deselected package automake.

Unpacking automake (from .../automake_1%3a1.11.1-1_all.deb) ...

Processing triggers for install-info ...

Processing triggers for man-db ...

Processing triggers for doc-base ...

Processing 1 added doc-base file(s)...

Registering documents with scrollkeeper...

Setting up m4 (1.4.13-3) ...

Setting up autoconf (2.65-3ubuntu1) ...

Setting up autotools-dev (20090611.1) ...

Setting up automake (1:1.11.1-1) ...

update-alternatives: using /usr/bin/automake-1.11 to provide /usr/bin/automake (automake) in auto mode.

 

 

以上过程,说明了cn99比srt好,应该放在前面。

=============================================================

转载自http://www.cuteqt.com/blog/?p=253

qt-extended 中如何支持gstreamer 播放引擎(ubuntu)

 

 

两个条件

首先,需要系统里有gstreamer的开发库文件,在ubuntu安装过程如下

sudo apt-get install libgstreamer0.10-dev
sudo apt-get install libgstreamer-plugins-base0.10-dev

其次,需要在配置编译过程中将gstreamer的选项使能
../qt-extended-4.4.2/configure -mediaengines gstreamer

这样就可以编译带gstreamer的qt-extened了。

./bin/qbuild
./bin/qbuild image

在你运行qt-extended主程序的时候,如果你的Documents目录下有媒体文件,
那么进入媒体播放器找到你的媒体文件了

./bin/runqtopia

此时可能还不能播放,你需要安装gstreamer不同媒体格式的codec,比如mp3就是

sudo aptitude install gstreamer0.10-fluendo-mp3

若想知道还有哪些插件,可以用下面命令查看

aptitude search gstreamer|grep plugin

—————————————————————-
附:如果刚装好的ubuntu系统,希望能编译qt-extend-4.4 以后版本的话.
有几个先决条件.
1.最好先装好 qt-x11-4.4 以后的版本
2.一些必要的开发工具需要装

sudo apt-get install gcc g++ automake
sudo aptitude install libx11-dev libxtst-dev libxext-dev
sudo aptitude install libpng-dev

 

©️2020 CSDN 皮肤主题: 大白 设计师:CSDN官方博客 返回首页
实付 29.90元
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值